%{!?_so:%global _so	so}

Summary: The Red Hat package management system.
Name: rpm
%define version 3.0.3
Version: %{version}
Release: 1.%{_target_cpu}.%{_target_os}
Group: System Environment/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.gz
Patch: rpm-3.0.3-jbj.patch
Copyright: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: gawk fileutils textutils sh-utils mktemp
#BuildRequires: bzip2 >= 0.9.0c-2
#Requires: bzip2 >= 0.9.0c-2
#BuildRequires: python-devel >= 1.5.1
%endif
BuildRoot: /var/tmp/%{name}-root

%description
The Red Hat Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: popt
%ifos linux
Requires: python >= 1.5.1
%endif

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs which
manipulate RPM packages and databases. These file are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%prep
%setup -q
%patch -p1

%build
CC=cc CPPFLAGS="-I%{_prefix}/include" LPATH="/usr/lib:/usr/ccs/lib:%{_prefix}/lib" CFLAGS="-std1 $RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-included-gettext
make
%ifos linux
make -C python
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install
%ifos linux
make DESTDIR="$RPM_BUILD_ROOT" install -C python
%endif

{ cd $RPM_BUILD_ROOT
  strip ./bin/rpm
  strip .%{_prefix}/bin/rpm2cpio
  strip .%{_prefix}/lib/rpm/rpmputtext .%{_prefix}/lib/rpm/rpmgettext
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb
%ifos linux
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f %{_prefix}/lib/rpm/convertrpmrc.sh ] 
then
	sh %{_prefix}/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi
%endif

%ifos linux
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS doc/manual/*
/bin/rpm
%{_prefix}/bin/rpm2cpio
%{_prefix}/bin/gendiff
%{_prefix}/lib/librpm.%{_so}.*
%{_prefix}/lib/librpmbuild.%{_so}.*
%{_prefix}/lib/rpm
%ifos linux
%{_prefix}/lib/python1.5/site-packages/rpmmodule.%{_so}
%endif
%dir %{_prefix}/src/redhat
%dir %{_prefix}/src/redhat/BUILD
%dir %{_prefix}/src/redhat/SPECS
%dir %{_prefix}/src/redhat/SOURCES
%dir %{_prefix}/src/redhat/SRPMS
%dir %{_prefix}/src/redhat/RPMS
%{_prefix}/src/redhat/RPMS/*
%{_prefix}/share/locale/*/LC_MESSAGES/rpm.mo
%{_prefix}/man/man8/*.8
%lang(pl) %{_prefix}/man/pl/man8/*
%lang(ru) %{_prefix}/man/ru/man8/*

%files devel
%defattr(-,root,root)
%{_prefix}/include/rpm
%{_prefix}/lib/librpm.a
%{_prefix}/lib/librpm.la
%{_prefix}/lib/librpm.%{_so}
%{_prefix}/lib/librpmbuild.a
%{_prefix}/lib/librpmbuild.la
%{_prefix}/lib/librpmbuild.%{_so}
